
#import <Foundation/Foundation.h>


typedef void(^HttpRequestResult)(id responseObject, NSError *error);

@interface KMHTTPManager : NSObject

+ (void)getImsi:(NSString *)orderId iccid:(NSString *)iccid result:(HttpRequestResult)result;

+ (void)submitOrder:(NSString *)orderId iccid:(NSString *)iccid result:(HttpRequestResult)result;

+ (void)cancelOrder:(NSString *)orderId result:(HttpRequestResult)result;

+ (void)queryOrderWithOrderId:(NSString *)orderId step:(KMKOpenCardSteps)step result:(HttpRequestResult)result;

@property (class, nonatomic, copy, readonly) NSString *serverDomain;

@end
