
#import "KMLoginViewController.h"
#import "KMUser.h"

@interface KMLoginViewController ()

@property (weak, nonatomic) IBOutlet UITextField *usernameTextField;
@property (weak, nonatomic) IBOutlet UITextField *passwordTextField;

@end

@implementation KMLoginViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    _usernameTextField.text = KMUser.currentUser.username;
    _passwordTextField.text = KMUser.currentUser.password;
}


- (IBAction)login:(id)sender {
    NSString *username = _usernameTextField.text;
    NSString *password = _passwordTextField.text;
    
    if (!username.length || !password.length) {
        [self showAlertWithTitle:nil message:@"用户名或密码输入错误"];
        return;
    }
    
    KMUser.currentUser.username = _usernameTextField.text;
    KMUser.currentUser.password = _passwordTextField.text;
    
    [self performSegueWithIdentifier:@"loginSucceed" sender:nil];
}


@end
